Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Interface ShippingMethodHome

All Superinterfaces
  javax.ejb.EJBHome, Remote, SmartEJBHome, SmartHome

Deprecated

    @Deprecated
    public interface ShippingMethodHome

extends SmartEJBHome

The home interface for the ShippingMethod entity bean. Use this class to create, remove, and find ShippingMethod entity beans.

Method Summary
`ShippingMethod` | `create(ShippingMethodPk shippingMethodPk)` Deprecated Create a new ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.
`Enumeration` | `findAll()` Deprecated
`ShippingMethod` | `findByPrimaryKey(ShippingMethodPk shippingMethodPk)` Deprecated Find an ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    ShippingMethod create(ShippingMethodPk shippingMethodPk)
                          throws javax.ejb.CreateException,
                                 RemoteException

  Deprecated
  Create a new ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### findByPrimaryKey

    ShippingMethod findByPrimaryKey(ShippingMethodPk shippingMethodPk)
                                    throws RemoteException,
                                           javax.ejb.FinderException

  Deprecated
  Find an ShippingMethod entity bean using the com.beasys.commerce.ebusiness.shipping.ShippingMethodPk.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

### findAll

    Enumeration findAll()
                        throws RemoteException,
                               javax.ejb.FinderException

  Deprecated
  Throws
    `RemoteException`
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.